| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Static Public Member Functions | Public Attributes
com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall Enum Reference

An enum for web service calls. More...

## Public Member Functions
int | getId ()

## Static Public Member Functions
static WebServiceCall | getInstance (String name)

## Public Attributes
| CLIENT_SERVICE_getComputersByHostName =(101)
| The web service ClientService.getComputersByHostName() More...
| CLIENT_SERVICE_getComputersByIP =(102)
| The web service ClientService.getComputersByIP() More...
| CLIENT_SERVICE_getGroupsByName =(103)
| The web service ClientService.getGroupsByName() More...
| COMMAND_SERVICE_getCommandStatusDetails =(201)
| The web service CommandService.getCommandStatusDetails() More...
| COMMAND_SERVICE_runClientCommandDisableDownloadInsight =(202)
| The web service CommandService.runClientCommandDisableDownloadInsight() More...
| COMMAND_SERVICE_runClientCommandDisableNTP =(203)
| The web service CommandService.runClientCommandDisableNTP() More...
| COMMAND_SERVICE_runClientCommandEnableAP =(204)
| The web service CommandService.runClientCommandEnableAP() More...
| COMMAND_SERVICE_runClientCommandEnableDownloadInsight =(205)
| The web service CommandService.runClientCommandEnableDownloadInsight() More...
| COMMAND_SERVICE_runClientCommandEnableNTP =(206)
| The web service CommandService.runClientCommandEnableNTP() More...
| COMMAND_SERVICE_runClientCommandScan =(207)
| The web service CommandService.runClientCommandScan() More...
| COMMAND_SERVICE_runClientCommandUpdateContent =(208)
| The web service CommandService.runClientCommandUpdateContent() More...
| COMMAND_SERVICE_runClientCommandUpdateContentAndScan =(209)
| The web service CommandService.runClientCommandUpdateContentAndScan() More...
| COMMAND_SERVICE_runClientCommandPowerEraser =(210)
| The web service CommandService.runClientCommandPowerEraser() More...
| COMMAND_SERVICE_runClientCommandEvidenceOfCompromise =(211)
| The web service CommandService.runClientCommandEvidenceOfCompromise() More...
| LICENSE_SERVICE_getLicenseSummaryInfo =(301)
| The web service LicenseService.getLicenseSummaryInfo() More...
| LIVEUPDATE_SERVICE_getLiveUpdateContentVersion =(401)
| The web service LiveUpdateService.getLiveUpdateContentVersion() More...
| LIVEUPDATE_SERVICE_runLiveUpdate =(402)
| The web service LiveUpdateService.runLiveUpdate() More...
| POLICY_SERVICE_assignPolicy =(501)
| The web service PolicyService.assignPolicy() More...
| POLICY_SERVICE_getPolicySummaryInfo =(502)
| The web service PolicyService.getPolicySummaryInfo() More...
| POLICY_SERVICE_importPolicy =(503)
| The web service PolicyService.importPolicy() More...

## Detailed Description

An enum for web service calls.

Corresponds to PingType.WebServiceCall

## Member Function Documentation

static WebServiceCall com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.getInstance | ( | String | name | ) |
| static

Parameters

  name |

Returns
  WebServiceCall

int com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.getId | ( |  | ) |

Returns
  the value

## Member Data Documentation

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.CLIENT_SERVICE_getComputersByHostName =(101)

The web service ClientService.getComputersByHostName()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.CLIENT_SERVICE_getComputersByIP =(102)

The web service ClientService.getComputersByIP()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.CLIENT_SERVICE_getGroupsByName =(103)

The web service ClientService.getGroupsByName()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_getCommandStatusDetails =(201)

The web service CommandService.getCommandStatusDetails()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandDisableDownloadInsight =(202)

The web service CommandService.runClientCommandDisableDownloadInsight()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandDisableNTP =(203)

The web service CommandService.runClientCommandDisableNTP()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandEnableAP =(204)

The web service CommandService.runClientCommandEnableAP()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandEnableDownloadInsight =(205)

The web service CommandService.runClientCommandEnableDownloadInsight()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandEnableNTP =(206)

The web service CommandService.runClientCommandEnableNTP()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandScan =(207)

The web service CommandService.runClientCommandScan()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandUpdateContent =(208)

The web service CommandService.runClientCommandUpdateContent()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandUpdateContentAndScan =(209)

The web service CommandService.runClientCommandUpdateContentAndScan()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandPowerEraser =(210)

The web service CommandService.runClientCommandPowerEraser()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.COMMAND_SERVICE_runClientCommandEvidenceOfCompromise =(211)

The web service CommandService.runClientCommandEvidenceOfCompromise()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.LICENSE_SERVICE_getLicenseSummaryInfo =(301)

The web service LicenseService.getLicenseSummaryInfo()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.LIVEUPDATE_SERVICE_getLiveUpdateContentVersion =(401)

The web service LiveUpdateService.getLiveUpdateContentVersion()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.LIVEUPDATE_SERVICE_runLiveUpdate =(402)

The web service LiveUpdateService.runLiveUpdate()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.POLICY_SERVICE_assignPolicy =(501)

The web service PolicyService.assignPolicy()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.POLICY_SERVICE_getPolicySummaryInfo =(502)

The web service PolicyService.getPolicySummaryInfo()

com.symantec.sepm.webservice.statistic.StatPingAspect.WebServiceCall.POLICY_SERVICE_importPolicy =(503)

The web service PolicyService.importPolicy()